Package org.eclipse.lemminx.services.extensions

## Class AbstractDefinitionParticipant

- java.lang.Object
- - org.eclipse.lemminx.services.extensions.AbstractDefinitionParticipant

All Implemented Interfaces:
  `IDefinitionParticipant`

Direct Known Subclasses:
  `DTDDefinitionParticipant`, `EntitiesDefinitionParticipant`, `RNGDefinitionParticipant`, `XMLReferencesDefinitionParticipant`, `XSDDefinitionParticipant`

    public abstract class AbstractDefinitionParticipant
    extends Object
    implements IDefinitionParticipant

Abstract class for definition.

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`AbstractDefinitionParticipant()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract void` `doFindDefinition​(IDefinitionRequest request, List<org.eclipse.lsp4j.LocationLink> locations, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Find the definition
`void` `findDefinition​(IDefinitionRequest request, List<org.eclipse.lsp4j.LocationLink> locations, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Find definition.
`protected abstract boolean` `match​(DOMDocument document)` Returns true if the definition support is applicable for the given document and false otherwise.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractDefinitionParticipant

    public AbstractDefinitionParticipant()

### Method Detail

#### findDefinition

    public final void findDefinition​(IDefinitionRequest request,
                                     List<org.eclipse.lsp4j.LocationLink> locations,
                                     org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)

Description copied from interface: `IDefinitionParticipant`
Find definition.

Specified by:
  `findDefinition` in interface `IDefinitionParticipant`

#### match

    protected abstract boolean match​(DOMDocument document)

Returns true if the definition support is applicable for the given document and false otherwise.

Parameters:
  `document` -
Returns:
  true if the definition support is applicable for the given document and false otherwise.

#### doFindDefinition

    protected abstract void doFindDefinition​(IDefinitionRequest request,
                                             List<org.eclipse.lsp4j.LocationLink> locations,
                                             org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)

Find the definition

Parameters:
  `request` -
  `locations` -
  `cancelChecker` -